<script lang="ts" setup>
import { defineAsyncComponent, watch } from 'vue';
import { useSocketStore } from '@new-jira-clone/libs/src/store';
import { useInitMediaStream } from '@/features/make-call';
import { useCreateConnection } from './composables/useCreateConnection';

const ConversationList = defineAsyncComponent(() => import('@/widgets/conversation-list/ui/ConversationList.vue'));

const { createChatConnect } = useCreateConnection();
const { socket } = useSocketStore();

useInitMediaStream();

watch(socket, () => createChatConnect(), {
  immediate: true,
});
</script>

<template>
  <div id="chat">
    <div class="chat-sidebar">
      <ConversationList />
    </div>
    <router-view> </router-view>
  </div>
</template>

<style scoped lang="scss">
#chat {
  display: flex;
  height: 100%;
  overflow: hidden;

  .chat-sidebar {
    display: flex;
    max-width: 350px;
    width: 100%;
    border-right: 1px #c1c7d0 solid;
    background-color: var(--j-app-bg);
  }
}
</style>
